<script>
import { day_width, leaf_length, leaf_hwidth, xScale_r, xScale_l, yScale_e, yScale_g } from "./store_3.js";
    
export let data = {};

let pathGenerator_e = (d) => {
       let path = "M 0," + yScale_e(0);
       d.forEach((value, idx) => {
           path += " " + xScale_l(idx) + ',' + yScale_e(value);
       }
       )
       path += " " + xScale_l(d.length) + ',' + yScale_e(0);
       return path;
      
   }

   let pathGenerator_g = (d) => {
       let path = "M 0," + yScale_g(0);
       d.forEach((value, idx) => {
           path += " " + xScale_l(idx) + ',' + yScale_g(value);
       }
       )
       path += " " + xScale_l(d.length) + ',' + yScale_g(0);
       return path;
      
   }
</script>

<style>
    .electricity {
        fill: skyblue;
    }

    .gas {
        fill: orange;
    }

</style>



<path class="electricity" d={pathGenerator_e(data["electricity"])}/>
<path class="gas" d={pathGenerator_g(data["gas"])}/>
